nxt.http.callers

## Class GetAvailableToSellCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetAvailableToSellCall>
  - - nxt.http.callers.GetAvailableToSellCall

-     public class GetAvailableToSellCall
      extends APICall.Builder<GetAvailableToSellCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetAvailableToSellCall` | `create()`
    `GetAvailableToSellCall` | `currency(long currency)`
    `GetAvailableToSellCall` | `currency(java.lang.String currency)`
    `GetAvailableToSellCall` | `requireBlock(java.lang.String requireBlock)`
    `GetAvailableToSellCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetAvailableToSellCall` | `units(long units)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, secretPhrase, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetAvailableToSellCall create()

    - #### requireLastBlock

          public GetAvailableToSellCall requireLastBlock(java.lang.String requireLastBlock)

    - #### currency

          public GetAvailableToSellCall currency(java.lang.String currency)

    - #### currency

          public GetAvailableToSellCall currency(long currency)

    - #### units

          public GetAvailableToSellCall units(long units)

    - #### requireBlock

          public GetAvailableToSellCall requireBlock(java.lang.String requireBlock)